<?php
/*---------------------------------------------------+
| PHP-Fusion 6 Content Management System
+----------------------------------------------------+
| Copyright  2002 - 2005 Nick Jones
| http://www.php-fusion.co.uk/
+----------------------------------------------------+
| Released under the terms & conditions of v2 of the
| GNU General Public License. For details refer to
| the included gpl.txt file or visit http://gnu.org
+----------------------------------------------------+
| Made for PHP-Fusion v. 6.0 by:
| janmol/janm@janm.dk 
+----------------------------------------------------+
| Modified Artur Wiebe 2006 <wibix@gmx.de>
| http:/wibix.de
+----------------------------------------------------+*/

require_once "../../maincore.php";
require_once BASEDIR."subheader.php";
require_once BASEDIR."side_left.php";

if(file_exists(INFUSIONS."calendar_panel/locale/".$settings['locale'].".php")) {
	include INFUSIONS."calendar_panel/locale/".$settings['locale'].".php";
} else {
	include INFUSIONS."calendar_panel/locale/English.php";
}

$today = getdate();
$m_year = $today['year'];

//Mder scriptet en vrdi for m_month, skal der dannes vrdier p nste og foregende
if(isset($_GET['m_month']) && isNum($_GET['m_month'])) {
	$m_month = $_GET['m_month'];
} else {
	unset($m_month);
}
if(isset($m_month)) {
	$month_p = $m_month - 1;
	$month_n = $m_month + 1;
}

//Vi stter kun rsvrdier og mnedsvrdier, hvis de ikke er sat i forvejen
//dvs. den frste gang, siden kaldes
if($m_month == 0) {
//En rsdefinition til foregende
	$m_year_p = $today['year'];
//En radefinition til nste
	$m_year_n = $today['year'];
	$m_month = $today['mon'];
	$m_year = $today['year'];
	$m_day = $today['mday'];
	$monat = $m_month;
    
//En anvndardefinition till privata meddelande
	$user_id = $userdata['user_id'];

//Det her sker kun frste gang - nste gang har bde month_p og
//month_n en vrdi. Og s skal der bare tlles op og ned
	$month_p = $monat - 1;
	$month_n = $monat + 1;
}

//Omstter mnedsnavn til tekst - det gr vi altid
$months = explode("|", $locale['months']);
$m_text = $months[$monat];

if($m_month >= 13) {
	$m_year = $today['year'];
	$kontrol = $m_month / 12;
	$add = (int)$kontrol;
	$m_year = $m_year + $add;
	$m_month = $m_month - 12;
}

if($m_month > 13) {
	$m_month = $m_month - 12;
}


//Nu skal vi lige have lavet en variabel, som vi bruger
//til at f dannet mnedens tekst-navn
$c_month = $m_month;
// $m_text = strtolower($months[$c_month]);
$m_text = $months[$c_month];
$i = 0;

//Vi stter bde mned og r p som variable ved genkald af show_event
//Og viser kun fdselsdage, hvis opstningen er til det

//Fdselsdage
$result_vis = dbquery("SELECT * FROM ".$db_prefix."kalender_settings");
$data_vis = dbarray($result_vis);
$fd = $data_vis['b_day'];
$show_where = $data_vis['show_where'];
$show_for = $data_vis['show_for'];


opentable($locale['k101']);
/*
 * Birthday List
 */
$my_month = date("n");
$my_day = date("j");
$query_id = dbquery("SELECT user_name, user_birthdate"
	." FROM ".DB_PREFIX."users"
	." WHERE MONTH(user_birthdate)='$my_month'"
	." AND DAYOFMONTH(user_birthdate)='$my_day'");
if($query_id && dbrows($query_id)) {
	echo "<table class='tbl-border' cellspacing='1' width='100%'>\n"
		."<tr><td class='tbl2'><b>".$locale['k160']." ".$locale['k8']
			." ".$m_text."</b></td></tr>\n";
	while($user = dbarray($query_id)) {
		echo "<tr><td class='tbl1'>".$user['user_name'].$locale['k301']
			.substr($user['user_birthdate'], 8, 2)
			.".".substr($user['user_birthdate'], 5, 2)
			.".".substr($user['user_birthdate'], 0, 4)
			."</td></tr>\n";
	}
	echo "</table>\n";
	tablebreak();
}
/* FIXME
//Fr navigationen dannes, skal vi lige have fundet ud af, hvilke mneder
//der er privata arrangementer i ... hvis vi kan
if(iADMIN) {
	for ($i=1; $i<=12; $i++) {
		$result_arr = dbquery("SELECT monat FROM ".$db_prefix."kalender WHERE privat = 'Y' AND jahr=".$m_year." AND monat=".$i."");
		if (dbrows($result_arr) != 0) {
		   $month[$i] = "<span style='color:#f00;'># </span>";
		}
	}
}
*/

//Fr navigationen dannes, skal vi lige have fundet ud af, hvilke mneder
//der er arrangementer i ... hvis vi kan
for($i=1; $i<=12; $i++) {
	$result_arr = dbquery("SELECT monat FROM ".$db_prefix."kalender WHERE privat = 'N' AND jahr=".$m_year." AND monat=".$i."");
	if (dbrows($result_arr) != 0) {
	   $month[$i] .= "<span style='color:#f00;'>* </span>";
	}
}



/*
 * Navigation
 */
$cur_month = date("n");
echo "<table cellspacing='1' width='100%' class='tbl-border'>
<tr>\n";
for($i=1; $i<=6; $i++) {
	$tbl = "tbl".($cur_month==$i ? "2" : "1");
	echo "<td align='center' class='$tbl'>".$month[$i]
		."<a href='".FUSION_SELF."?m_month=$i&m_year=".$m_year."'>"
		.$locale['k'.(20+($i-1))]."</a></td>\n";
}
echo "</tr>\n<tr>\n";
for($i=7; $i<=12; $i++) {
	$tbl = "tbl".($cur_month==$i ? "2" : "1");
	echo "<td align='center' class='$tbl'>".$month[$i]
		."<a href='".FUSION_SELF."?m_month=$i&m_year=".$m_year."'>"
		.$locale['k'.(20+($i-1))]."</a></td>\n";
}
echo "</tr>\n</table>";
closetable();
tablebreak();



/*
 * current month.
 */
$result_vis = dbquery("SELECT * FROM ".$db_prefix."kalender"
	." WHERE privat = 'N' AND jahr >= $m_year"
	." AND monat = $m_month"
	." ORDER BY (monat+0), (tag+0), (jahr+0) DESC");

opentable($locale['k168'] . $m_text . " " . $m_year);

$rows = dbrows($result_vis);
while($data_vis = dbarray($result_vis)) {
	$day = $data_vis['tag'];
	$month = $data_vis['monat'];
	$title = $data_vis['title'];
	$text = $data_vis['text'];
	$hours = $data_vis['stunden'];
	$minuts = $data_vis['minuten'];
	$time = $hours . ":" . $minuts;
	$year = $data_vis['jahr'];
	echo "<p><img src='images/star.gif'> <b>$title</b>"
		." [$day-$month-$year]<br/>$text\n";
}
closetable();


/* FIXME - obsolete
if($m_month == 0) {
echo "<p>==0";
	$result_vis = dbquery("SELECT * FROM ".$db_prefix."kalender WHERE privat = 'N' AND jahr >= $m_year AND monat >= $m_month AND tag+0 >= $m_day LIMIT 0,5");
opentable($locale['k161']);
echo "<table width='100%' id='table1'>";
$rows = dbrows($result_vis);
if ($rows == 0) {
echo "<tr><td>".$locale['k170']."</td></tr>";
}
echo "<table width='100%' id='table1'><tr>";
while($data_vis = dbarray($result_vis)) {
	$day = $data_vis['tag'];
	$month = $data_vis['monat'];
	$title = $data_vis['title'];
	$text = $data_vis['text'];
	$hours = $data_vis['stunden'];
	$minuts = $data_vis['minuten'];
	$time = $hours . ":" . $minuts;
	$year = $data_vis['jahr'];
echo "<tr>
		<td colspan='4'><img src='".BASEDIR."images/star.gif'> <font size='2pt'><b>$title</b></font></td>
	</tr>
	<tr>
		<td width='17%' class='textbox'>".$locale['k162']."</td>
		<td width='13%' class='textbox'><b>$day - $month - $year</td>
		<td width='11%' class='textbox'>".$locale['k163']."</td>
		<td width='18%' class='textbox'><b>$time</td>
		</tr>
	<tr>
		<td width='98%' colspan='4' class='textbox'>$text</td>
	</tr>";
}
echo "</table>";
closetable();
}
tablebreak();
*/



/* Start privat
	if (iADMIN) {
if ($m_month != 0) {
$result_vis = dbquery("SELECT * FROM ".$db_prefix."kalender WHERE ".$userdata['user_id']." AND privat = 'Y' AND jahr >= $m_year AND monat = $m_month");
opentable($locale['k172'] . $m_text . " " . $m_year);
echo "<table width='100%' id='table1'>";
$rows = dbrows($result_vis);
if ($rows == 0) {
echo "<tr><td>".$locale['k170']."</td></tr>";
}
while ($data_vis = dbarray($result_vis)) {
	$day = $data_vis['tag'];
	$month = $data_vis['monat'];
	$title = $data_vis['title'];
	$text = $data_vis['text'];
	$hours = $data_vis['stunden'];
	$minuts = $data_vis['minuten'];
	$time = $hours . ":" . $minuts;
	$year = $data_vis['jahr'];
echo "<tr>
		<td colspan='4'><img src='".INFUSIONS."calendar_panel/images/star.gif'> <font size='2pt'><b>$title</b></font></td>
	</tr>
	<tr>
		<td width='17%' class='textbox'>".$locale['k162']."</td>
		<td width='13%' class='textbox'><b>$day - $month - $year</td>
		<td width='11%' class='textbox'>".$locale['k163']."</td>
		<td width='18%' class='textbox'><b>$time</td>
		</tr>
	<tr>
		<td width='98%' colspan='4' class='textbox'>$text</td>
	</tr>";
}
echo "</table>";
closetable();
}


if ($m_month == 0) {
$result_vis = dbquery("SELECT * FROM ".$db_prefix."kalender WHERE user_id = ".$userdata['user_id']." AND privat = 'Y' AND jahr >= $m_year AND monat >= $m_month AND tag >= $m_day LIMIT 0,5");
echo "<table width='100%' id='table1'>";
$rows = dbrows($result_vis);
if ($rows == 0) {
echo $locale['k170'];
}
echo "<table width='100%' id='table1'><tr>";
while ($data_vis = dbarray($result_vis)) {
	$day = $data_vis['tag'];
	$month = $data_vis['monat'];
	$title = $data_vis['title'];
	$text = $data_vis['text'];
	$hours = $data_vis['stunden'];
	$minuts = $data_vis['minuten'];
	$time = $hours . ":" . $minuts;
	$year = $data_vis['jahr'];
echo "<tr>
		<td colspan='4'><img src='".BASEDIR."images/star.gif'> <font size='2pt'><b>$title</b></font></td>
	</tr>
	<tr>
		<td width='17%' class='textbox'>".$locale['k162']."</td>
		<td width='13%' class='textbox'><b>$day - $month - $year</td>
		<td width='11%' class='textbox'>".$locale['k163']."</td>
		<td width='18%' class='textbox'><b>$time</td>
		</tr>
	<tr>
		<td width='98%' colspan='4' class='textbox'>$text</td>
	</tr>";
}
echo "</table>";
closetable();
}
}
*/


require_once BASEDIR."side_right.php";
require_once BASEDIR."footer.php";
?>
